Subject: ‘elogind-configuration’ documentation needs love

From: Ludovic Courtès <[email-masked]>
Date: Fri, 03 Mar 2023 17:48:05 +0100

Bruno Victal <[email-masked]> skribis:

> * doc/guix.texi (Desktop Services): Replace 'elogind-service' with
> 'elogind-service-type'.
> * gnu/services/desktop.scm (elogind-service): Deprecate procedure.
> (desktop-services-for-system): Use elogind-service-type.
> * gnu/tests/lightdm.scm (minimal-desktop-services): Ditto.

[...]

> +@c TODO: field descriptions. This is best done by refactoring
> +@c elogind-configuration to use define-configuration which embeds the
> +@c descriptions in the code and then use configuration->documentation.
> +@deftp {Data Type} elogind-configuration
> +Data type representing the configuration of @command{elogind}.
> +
> +@table @asis
> +@item @code{elogind} (default: @code{elogind}) (type: file-like)
> +...
> +
> +@item @code{kill-user-processes?} (default: @code{#f}) (type: boolean)
> +...

I applied this patch but here’s to hoping someone addresses this TODO!

Ludo’.